require("scripts/style.lua" );
require("scripts/styles/mainmenustyle.lua");

MakeDialog
{
	name = "WndGameParent",
	WndGame
	{
		name = "WndGame",
		x = 0,
		y = 0,
		w = width,
		h = height,
	},
	

	
	SetStyle(ScoreboardStyle),
	
	--time
	Text 
	{
		name = "txtClock",
		label = "",
		x = 8,
		y = 720, 
		w = 90, h = 20,
		flags = kHAlignCenter,
	},
	
	Text 
	{
		name = "txtGreenPointsScore",
		label = "",
		x = 160,
		y = 733, 
		w = 80, h = 20,
		flags = kHAlignCenter + kVAlignBottom,
	},
	
	
	-- Score
	Text 
	{
		name = "txtScore",
		label = "",
		x = 526,
		y = 733, 
		w = 80, h = 20,
		flags = kHAlignRight + kVAlignBottom,
	},

	SetStyle(ScoreboardCentsStyle),
	Text 
	{
		name = "txtScoreCents",
		label = "",
		x = 526 + 80,
		y = 733, 
		w = 80, h = 20,
		flags = kHAlignLeft + kVAlignBottom,
	},			
	-- Target Score
	SetStyle(TargetScoreStyle),
	Text 
	{
		name = "txtTargetScore",
		label = "",
		x = 740,
		y = 715,
		w = 60, h = 20,
		flags = kHAlignRight + kVAlignTop,
	},
	
	-- Expert Score
	SetStyle(TargetScoreStyle),
	Text 
	{
		name = "txtExpertScore",
		label = "",
		x = 800,
		y = 711, 
		w = 60, h = 20,
		flags = kHAlignRight + kVAlignTop,
	},		

	--Text 
	--{
	--	name = "txtGreenTargetScore",
	--	label = "",
	--	x = 331,
	--	y = 709, 
	--	w = 80, h = 20,
	--	flags = kHAlignRight + kVAlignBottom,
	--},
	--Text 
	--{
	--	name = "txtGreenExpertTargetScore",
	--	label = "",
	--	x = 392,
	--	y = 705, 
	--	w = 80, h = 20,
	--	flags = kHAlignRight + kVAlignBottom,
	--},
	
	-- Menu Button

	SetStyle(MenuButtonStyle),
	BlgButton
	{
		name = "menu_open",
		x = 870.0, y = 674.0,
		label = "menu_open",
		width = 142, height = 99,

		labelMatrix = {x = 0, y = 0},
		graphics = {
				"common/screens/button/menu_green",
				"",
				"",
				"",
			},
		command = function()
					if CurrentActivityIsMinigame() then
						DoModal("scripts/windows/wndpauseminigame.lua")
					else
						DoModal("scripts/windows/wndpause.lua")
					end
				end
	},
	
	SetStyle(OrangeButtonStyle);
		
	BlgButton
	{
		name= "btnFinishTutorial",
		label= "finishtutorial",
		scale = 0.85,
		graphics = {				
			"common/screens/tutorial/button_green_large",
			"",
			"",
			"",
			},
		width = 220, height = 100,
		x = kCenter + 405, y = 15,
		--x = 15, y = kCenter + 280,
		positionMatrix = { x = 15, y = 10},
		labelMatrix = {x = 0, y = -1},
		command =
				function()
					FinishTutorial()
				end
	},
}